using Demo.Domain.Models;

namespace Demo.Domain.UseCase
{
    public interface IGroupUseCase
    {
        List<Group> GetAllGroups();
        List<GroupCon> GetAllGroupsWithUsers();
        bool RemoveGroupByID(int groupID);
        Group UpdateGroup(Group group);
        Group GetGroupById(int groupID);
        bool CreateGroup(string Name);
    }
}